# Trait lock_api::RawRwLockRecursiveTimed [−] [src]

    pub unsafe trait RawRwLockRecursiveTimed: RawRwLockRecursive + RawRwLockTimed {
        fn try_lock_shared_recursive_for(&self, timeout: Self::Duration) -> bool;
        fn try_lock_shared_recursive_until(&self, timeout: Self::Instant) -> bool;
    }

Additional methods for RwLocks which support recursive read locks and timeouts.

## Required methods

### `fn try_lock_shared_recursive_for(&self, timeout: Self::Duration) -> bool` [src]

Attempts to acquire a shared lock until a timeout is reached, without deadlocking in case of a recursive lock.

### `fn try_lock_shared_recursive_until(&self, timeout: Self::Instant) -> bool` [src]

Attempts to acquire a shared lock until a timeout is reached, without deadlocking in case of a recursive lock.

Loading content...

## Implementors

Loading content...